GDLGSDOC(1)

NAME
gdlgsdoc - produce .gsdoc files from .eomodel files

SYNOPSIS
gdlgsdoc [--verbose=level] [--project=|--projectName=name] [--documentationDirectory=dir] [--define-variable=value] --template=filename FILES...

DESCRIPTION
gdlgsdoc generates .gsdoc files from input .eomodel files. The number of the generated files corresponds to the number of the input files. This tool does not generate HTML, use autogsdoc(1) for that.

OPTIONS

--verbose=level
    Sets the verbosity level for debugging messages. The default is 0 (no additional messages); 1 sets standard debugging output while 3 sets maximum verbosity. 2 has the same effect as 1, any number above 3 has the effect of 3.

--project=name
    Sets the project name.

--projectName=name
    This is an alias for --project.

--documentationDirectory=dir
    Sets the directory for saving the .gsdoc file(s) relative to the directory of the input .eomodel file(s). The default is the same directory.

--define-variable=value
    Defines a user variable to a specific value. This option can be used multiple times. Variable placeholders are set in the template file and are substituted with the corresponding value at generation time. If verbosity level is set to 3, the variable(s)/value(s) are printed to the standard output.

--template=filename
    Uses filename as template for the generated .gsdoc file(s). Note that this is a mandatory option, failing to specify it means that no .gsdoc file will be created.

SEE ALSO
autogsdoc(1), GNUstep(7)

AUTHORS
gdlgsdoc was written by Manuel Guesdon.

This manual page was written by Yavor Doganov <yavor@gnu.org> for the Debian project but it may be used by others.

COPYING
© 2024 Debian GNUstep maintainers

This manual page is distributed under the same license as the gdlgsdoc program.